Subject: Re: bug#68119: [GNU automake 1.16.5] test-suite 45 tests failed

From: Erik A Johnson <[email-masked]>
Date: Tue, 2 Jan 2024 23:06:35 +0000

Thanks, Karl.  Yes, using autoconf-2.72.

Using am_cv_sleep_fractional_seconds=false dropped it to 7-11 tests failing.  Strangely (to me), it isn't consistent: I've run this 8 times, each in a new fresh download of 1.16j.  The following 7 tests always fail:

* py-compile-basedir -- it fails because I installed Python 3.12, which has removed the "imp" module in favor of the "importlib" module ("imp" was deprecated starting in Python 3.4).

* yacc-bison-skeleton, yacc-d-basic, yacc-deleted-headers, yacc-depend, yacc-depend2, yacc-mix-c-cxx -- these all fail not finding the yyparse function.  Some of the other yacc-.* tests seem to have yyparse in them so it's not immediately clear to me why these 6 consistently fail.

The following failed 3 of 8 times (tests #1 & #3 & (#6 or #8))

* aclocal-deleted-header
* aclocal-deleted-header-aclocal-amflags

The following failed 2 of 8 times (tests #1 & #3)

* aclocal-deps

The following failed on 1 of 8 times (test #1)

* subdir-add2-pr46

Log files for the 11 failed tests are attached, along with a gzip'd test-suite.log

Erik

> On Jan 1, 2024, at 3:37 PM, Karl Berry <[email-masked]> wrote:
>
>    92 tests fail on 1.16j
>
> Thanks for trying, though a sad result. I have a hunch that a lot of the
> failures are timing issues. Although Automake thinks your system
> "should" work with a 1-millisecond sleep at various points (I gather
> you're already using autoconf-2.72), maybe there are problems in
> practice.
>
> If you're up for it, please try setting this variable in the environment
>  am_cv_sleep_fractional_seconds=false
>  export am_cv_sleep_fractional_seconds
> (Bourne-compatible shell syntax, if you're using a C shell, I assume you
> know what to do. :)
>
> And then make distclean (to remove the leftovers) and the same configure
> && etc. That's my only immediate idea ... --thanks again, karl.